"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MemberOrder = exports.LegendType = exports.MethodParameterOutput = exports.ClassDiagramType = void 0;
/**
 * Supported class diagram types.
 */
var ClassDiagramType;
(function (ClassDiagramType) {
    ClassDiagramType[ClassDiagramType["None"] = 1] = "None";
    ClassDiagramType[ClassDiagramType["Simple"] = 2] = "Simple";
    ClassDiagramType[ClassDiagramType["Detailed"] = 3] = "Detailed";
})(ClassDiagramType = exports.ClassDiagramType || (exports.ClassDiagramType = {}));
/**
 * Possible ways to output method parameters in the class diagram.
 */
var MethodParameterOutput;
(function (MethodParameterOutput) {
    MethodParameterOutput[MethodParameterOutput["None"] = 0] = "None";
    MethodParameterOutput[MethodParameterOutput["OnlyNames"] = 1] = "OnlyNames";
    MethodParameterOutput[MethodParameterOutput["OnlyTypes"] = 2] = "OnlyTypes";
    MethodParameterOutput[MethodParameterOutput["Complete"] = 3] = "Complete";
})(MethodParameterOutput = exports.MethodParameterOutput || (exports.MethodParameterOutput = {}));
/**
 * Possible diagram legend types.
 */
var LegendType;
(function (LegendType) {
    LegendType[LegendType["None"] = 0] = "None";
    LegendType[LegendType["OnlyIncluded"] = 1] = "OnlyIncluded";
    LegendType[LegendType["Full"] = 2] = "Full";
})(LegendType = exports.LegendType || (exports.LegendType = {}));
/**
 * Possible ways to order class members in the class diagram.
 */
var MemberOrder;
(function (MemberOrder) {
    MemberOrder[MemberOrder["None"] = 0] = "None";
    MemberOrder[MemberOrder["Abc"] = 1] = "Abc";
    MemberOrder[MemberOrder["PublicToPrivate"] = 2] = "PublicToPrivate";
    MemberOrder[MemberOrder["PrivateToPublic"] = 3] = "PrivateToPublic";
})(MemberOrder = exports.MemberOrder || (exports.MemberOrder = {}));
